Imports DevExpress.XtraEditors.Controls

Public Class LookupGridLocalizer
    Inherits EditResLocalizer

    Private Const LANG_DE = "de-DE"

    Public Overrides Function GetLocalizedString(id As StringId) As String
        Dim oResult As String

        Select Case id
            Case StringId.LookUpEditValueIsNull
                If Language = LANG_DE Then
                    oResult = "[Kein Wert ausgewählt]"
                Else
                    oResult = "[No Value selected]"
                End If
            Case Else
                oResult = MyBase.GetLocalizedString(id)
        End Select

        Return oResult
    End Function
End Class
